Bug 192875 - reads from network/nfs fail with cachefs enabled
reads from network/nfs fail with cachefs enabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cachefs (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
David Howells
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 14:51 EDT by Curtis Zinzilieta
Modified: 2008-05-06 11:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages file during problem, following 'echo 15 > /proc/sys/sunrpc/nfs_debug' (28.01 KB, application/x-bzip2)
2006-05-23 14:52 EDT, Curtis Zinzilieta
no flags Details

  None (edit)
Description Curtis Zinzilieta 2006-05-23 14:51:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always with this job load

Steps to Reproduce:
1.  Enable cachefs, add fsc flag to nfs mounts, start cachefilesd
2.  Run an example render which pulls many files across the NFS mounts.  In this
case, note that the cache loads up to about 1.2GB during first renderjob run.
3.  Re-run render again.  Fails soon after start, often with 'cannot read
<file>' error from the application.
  
Actual results:
failed

Expected results:
rendered frame.  Which works correctly with cachefs disabled.

Additional info:
Comment 1 Curtis Zinzilieta 2006-05-23 14:52:44 EDT
Created attachment 129880 [details]
 /var/log/messages file during problem, following 'echo 15 > /proc/sys/sunrpc/nfs_debug'
Comment 2 Bug Zapper 2008-04-03 22:57:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 11:56:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.